Subject: [Bridge-mib] Proposed re-charter for the Bridge MIB WG

From: "Les Bell" <[email-masked]>
Date: Mon, 19 Feb 2001 16:44:29 +0000

Hi folks,

The IEEE 802.1 working group is in the final stages of approval for a number of
proposed new standards.  802.1t, 802.1u, 802.1v and 802.1w are extensions to the
802.1D and 802.1Q standards that we are all familiar with, and manage through
the MIBs in RFC 1493, RFC 1525 and RFC 2674.

I think that these standards have reached the stage where it is appropriate to
develop a standard MIB, or MIBs, to manage the new features.  The extent of the
new features is much less dramatic than the last set of features we did for
VLANs, Priorities, and Multicast Filtering, in RFC 2674.

We also need to progress the current MIBs, which includes translating RFC 1493
and RFC 1525 to SMIv2 format and determing the current level of implementation
support for them, and also for RFC 2674.

The first thing I need to do, as the new WG chair, is to determine if there is
sufficient interest in supporting and helping to develop this work.  If there is
enough interest, we can begin work on the new MIBs and book timeslots at
upcoming IETF meetings to discuss it.  We will not have enough work prepared for
the Minnesota meeting in March, so I hope to get an I-D ready to discuss at the
August meeting, in London.  I am particularly keen to hear from anyone who can
help with contributions and act as Editor(s) for the proposed new MIB(s).

The proposed re-charter for the Bridge MIB WG is at the end of this email.

Thanks,
Les Bell (Bridge MIB WG chair)

--------

Status: Proposed Recharter (with new WG chair)

Bridge MIB (bridge)

Last Modified: 18-Feb-01

Chair(s):

Les Bell <[email-masked]>

Operations and Management Area Director(s):

Randy Bush <[email-masked]>
Bert Wijnen <[email-masked]>

Operations and Management Area Advisor:

Bert Wijnen <[email-masked]>

Mailing Lists:

General Discussion: [email-masked]
To Subscribe:       [email-masked]
In Body:            subscribe your_email_address
Archive:            ftp://ftp.ietf.org/ietf-mail-archive/bridge/

Description of Working Group:

The Bridge MIB Working Group is chartered to define a set of
managed objects that instrument devices that conform to the
IEEE 802.1 standards for MAC-layer bridges.

This set of objects should be largely compliant with (and even
draw from) those objects defined within each of the IEEE 802.1
standards, although there is no requirement that any specific
object be present or absent.

The set of objects should not duplicate, nor conflict with any MIB
object definitions defined by the IEEE 802.1 standards themselves.

The MIB object definitions produced will be for use by SNMP and
will be consistent with other SNMP objects, standards, and
conventions.

Goals and Milestones:

 Done       Publish initial proposal.

 Done       Submit an Internet-Draft.

 Done       Submit draft for RFC publication.

 Done       Publish a draft SNMP MIB that instruments functions
            specific to source routed bridges as Internet-Draft.

 Done       Publish a draft revision to RFC 1286 that reflects
            implementation experience and the result of
            alignments with IEEE work as an Internet-Draft.

 Done       Submit draft MIB for source routing bridge functions
            to IESG for consideration as a Proposed Standard.

 Done       Submit a new MIB document with support for recently
            developed 802.1p and 802.1Q specifications to the
            IESG for consideration as a Proposed Standard.

 Jul 01     Submit new I-D for RFC 1493 in SMIv2 format.

 Jul 01     Submit new I-D for RFC 1525 in SMIv2 format.

 Aug 01     Evaluate status of RFC 1493 and the SMIv2 version
            and get WG consensus if it should be recycled at
            Draft or can be elevated to Full Standard.

 Aug 01     Evaluate status of RFC 1525 and the SMIv2 version
            and get WG consensus if it should be recycled at
            Draft or can be elevated to Full Standard.

 Aug 01     Evaluate status of RFC 2674 and
            and get WG consensus if it should be recycled at
            Proposed or can be elevated to Draft Standard.

 Aug 01     Submit an Internet-Draft (or drafts) with MIB
            support for extensions to the Bridge standards
            defined in 802.1t, 802.1u, 802.1v and 802.1w.

 Sep 01     Submit SMIv2 version of RFC 1493 to IESG for
            consideration as Full Standard.

 Sep 01     Submit SMIv2 version of RFC 1523 to IESG for
            consideration as Full Standard.

 Sep 01     Submit RFC 2674 (or new I-D if clarifications had to
            be made) to IESG for consideration as Draft Standard.

 Dec 01     Revise the Internet-Draft(s) with MIB support for extensions
            to the Bridge standards defined in 802.1t, 802.1u, 802.1v
            and 802.1w.

 Mar 02     Submit completed draft(s) with MIB support for extensions to
            the Bridge standards defined in 802.1t, 802.1u, 802.1v and
            802.1w to the IESG, for consideration as a Proposed Standard.

No Current Internet-Drafts

Request For Comments:

Definitions of Managed Objects for Bridges (RFC 1493) (74493 bytes)

Definitions of Managed Objects for Source Routing Bridges (RFC 1525)
(38100 bytes)

Definitions of Managed Objects for Bridges with Traffic Classes,
Multicast Filtering and Virtual LAN Extensions (RFC 2674) (159971 bytes)

_______________________________________________
Bridge-mib mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/bridge-mib